#ifndef _AdvectTestF_F_H_
#define _AdvectTestF_F_H_

#include "FORT_PROTO.H"
#include "REAL.H"

extern "C"
{

// Prototype for Fortran procedure ADVECTINIT ...
//
#define FORT_ADVECTINIT FORTRAN_NAME( ADVECTINIT ,advectinit )
void 
FORT_ADVECTINIT(
      CHFp_FRA(U)
      ,CHFp_CONST_REAL(dx)
      ,CHFp_BOX(box) );

// Prototype for Fortran procedure ADVEXACT ...
//
#define FORT_ADVEXACT FORTRAN_NAME( ADVEXACT ,advexact )
void 
FORT_ADVEXACT(
      CHFp_FRA1(exact)
      ,CHFp_CONST_REAL(time)
      ,CHFp_REALVECT(advVel)
      ,CHFp_CONST_REAL(dx)
      ,CHFp_CONST_REAL(nu)
      ,CHFp_CONST_INT(comp) );

}
#endif
