#ifndef _IdealMHDIBCF_F_H_
#define _IdealMHDIBCF_F_H_

#include "FORT_PROTO.H"
#include "REAL.H"

extern "C"
{

// Prototype for Fortran procedure SETMHD ...
//
#define FORT_SETMHD FORTRAN_NAME( SETMHD ,setmhd )
void 
FORT_SETMHD(
      CHFp_CONST_REAL(a_gamma) );

// Prototype for Fortran procedure MHDINIT ...
//
#define FORT_MHDINIT FORTRAN_NAME( MHDINIT ,mhdinit )
void 
FORT_MHDINIT(
      CHFp_FRA(U)
      ,CHFp_CONST_REAL(dx)
      ,CHFp_BOX(box) );

// Prototype for Fortran procedure MHDBC ...
//
#define FORT_MHDBC FORTRAN_NAME( MHDBC ,mhdbc )
void 
FORT_MHDBC(
      CHFp_FRA(F)
      ,CHFp_CONST_FRA(W)
      ,CHFp_CONST_REAL(time)
      ,CHFp_CONST_INT(lohisign)
      ,CHFp_CONST_REAL(dx)
      ,CHFp_CONST_INT(dir)
      ,CHFp_BOX(box) );

// Prototype for Fortran procedure MHDSOLIDBC ...
//
#define FORT_MHDSOLIDBC FORTRAN_NAME( MHDSOLIDBC ,mhdsolidbc )
void 
FORT_MHDSOLIDBC(
      CHFp_FRA(F)
      ,CHFp_CONST_FRA(Wextrap)
      ,CHFp_CONST_REAL(dx)
      ,CHFp_CONST_INT(dir)
      ,CHFp_BOX(box) );

// Prototype for Fortran procedure MHDSLOPEBCS ...
//
#define FORT_MHDSLOPEBCS FORTRAN_NAME( MHDSLOPEBCS ,mhdslopebcs )
void 
FORT_MHDSLOPEBCS(
      CHFp_FRA(dW)
      ,CHFp_CONST_FRA(W)
      ,CHFp_CONST_REAL(dx)
      ,CHFp_CONST_INT(dir)
      ,CHFp_BOX(loBox)
      ,CHFp_CONST_INT(hasLo)
      ,CHFp_BOX(hiBox)
      ,CHFp_CONST_INT(hasHi) );

}
#endif
